LYNX(1)

NAZWA
lynx - przeglądarka WWW

SKŁADNIA
Lynx [opcje] [ścieżka lub URL]

Pełną listę aktualnych opcji wyświetla polecenie "lynx -help".

OPIS
Uwaga! To tłumaczenie może być nieaktualne!

Lynx jest w pełni doskonale wyposażonym klientem WWW przeznaczonym dla użytkowników pracujących na znakowych urządzeniach wyświetlających z adresowalnym kursorem (np. terminalach vt110, emulatorach vt100 działających na Windows 95/NT lub Mac-ach, lub dowolnych innych wyświetlaczach działających z curses [tłum.: np. linux, ansi, itp.]). Wyświetla on dokumenty hipertekstowe (HTML), zawierające odnośniki zarówno do plików lokalnego systemu, jak i do plików znajdujących się na zdalnych systemach z uruchomioną usługą Gopher, HTTP, FTP, WAIS lub NNTP. Obecne wersje Lynx działają na UNIX-ie, VMS, Windows 95/NT, 386DOS i OS/2 EMX.

Lynx może być wykorzystywany do dostępu do informacji z WWW lub do budowania systemów informacyjnych przeznaczonych głównie do dostępu lokalnego. Np. Lynx został użyty do zbudowania wielu Campus Wide Information Systems (CWIS). Prócz tego, może posłużyć do budowy systemów izolowanych wewnątrz pojedynczej sieci lokalnej (LAN).

OPCJE
Przy starcie, Lynx wczytuje dowolny plik lokalny lub URL podany w wierszu poleceń. Tekst pomocy opisującej pracę z URL-ami uzyskuje się naciskając "?" lub "h" podczas pracy z programem. Następnie należy podążać za odnośnikiem zatytułowanym "Help on URLs". Lynx używa tylko długich, pełnych nazw opcji. Nazwy opcji zaczynają się od pojedynczej kreski, ale można też stosować podwojoną. Można mieszać kreski i znaki podkreślenia (w opisie poniżej opcje podano z jedną kreską przed nazwą i podkreśleniami wewnątrz).

-   Jeśli jedynym argumentem jest '-', to Lynx oczekuje na podanie mu argumentów ze standardowego wejścia. Umożliwia to wprowadzanie potencjalnie bardzo długich wierszy poleceń, jakie mogą być związane z argumentami -get_data lub -post_data (patrz niżej). Można to też wykorzystać gdy chcemy uniknąć umieszczania informacji traktowanej jako niejawna w wierszu poleceń wywołania programu (co na większości systemów byłoby widoczne dla innych procesów), szczególnie, gdy równocześnie stosowane są opcji -auth lub -pauth.

-accept_all_cookies
    akceptowanie wszystkich ciasteczek (cookies).

-anonymous
    stosowanie ograniczeń dla użytkownika anonimowego, zobacz też -restrictions.

-assume_charset=nazwaMIME
    zestaw znaków przyjmowany dla dokumentów, które go nie określają.

-assume_local_charset=nazwaMIME
    zestaw znaków przyjmowany domyślnie dla plików lokalnych.

-assume_unrec_charset=nazwaMIME
    zestaw znaków stosowany zamiast nierozpoznanych zestawów znaków.

-auth=ID:HASŁO
    ustalenie na starcie identyfikatora oraz hasła autoryzacji dla dokumentów chronionych. Należy upewnić się, że chronione są wszelkie pliki skryptów wykorzystujących ten przełącznik.

-base
    przy zrzutach -source uzyskane wyjście tekstowe/html będzie poprzedzone komentarzem o żądanym URL-u i znacznikiem BASE.

-blink
    wymusza w trybie kolorowym podwyższoną jasności kolorów tła, jeśli jest to dostępne i obsługiwane przez terminal. Lynx powinien być skompilowany z biblioteką slang, by działała ta flaga.

-book
    użycie strony z zakładkami (bookmark page) jako pliku startowego. Domyślny plik lub plik z wiersza poleceń jest jednak wciąż używany dla komendy Main screen i będzie wykorzystany jeśli strona z zakładkami jest niedostępna lub pusta.

-buried_news
    przełącznik przeglądania artykułów grup dyskusyjnych (news) w poszukiwaniu zagrzebanych odnośników. Odnalezione odnośniki są konwertowane na odnośniki do artykułów news. Nie jest to zalecane, gdyż adresy pocztowe zawarte wewnątrz nawiasów kątowych zostaną zmienione na nieprawidłowe odnośniki news, a zakodowane programem uuencode wiadomości mogą zostać zaprzepaszczone.

-cache=LICZBA
    ustala liczbę dokumentów buforowanych w pamięci. Domyślnie jest to 10.

-case
    włącza rozróżnianie wielkości liter przy wyszukiwaniu napisów.

-cfg=NAZWAPLIKU
    określa plik konfiguracyjny Lynxa, inny niż domyślny lynx.cfg.

-child
    powoduje zakończenie pracy przy naciśnięciu strzałki w lewo w pliku startowym, równocześnie wyłącza zapisywanie na dysk.

-color
    wymusza włączenie trybu koloru, jeśli jest dostępny. Jeśli opis możliwości terminala nie określa sposobu obsługi koloru, to przyjmowane są domyślne sekwencje sterujące, działające dla wielu typów terminali. Lynx powinien być skompilowany z biblioteką slang, by flaga ta działała, co jest równoważne ustawieniu zmiennej środowiskowej COLORTERM. (Jeśli praca w kolorze jest zamiast tego zapewniana przez bibliotekę curses obsługującą kolory, jak ncurses, to Lynx przy ustalaniu, czy możliwy jest tryb koloru będzie całkowicie polegał na opisie terminala. Wówczas flaga ta nie jest potrzebna a zatem niedostępna.) Zapisane w pliku .lynxrc początkowe ustawienie show_color=always działa tak samo. Wpisane w .lynxrc początkowe ustawienie show_color=never jest przesłaniane przez tę flagę.

-cookies
    przełącznik obsługi nagłówków Set-Cookie.

-cookie_file=PLIK
    określa plik, w którym mają być przechowywane ciasteczka.

-core
    przełącznik wymuszania zrzutów rdzenia przy błędach krytycznych.

-crawl
    z -traversal, wypisuje każdą stronę do pliku. z -dump, formatuje wyjście jak przy -traversal, lecz na standardowe wyjście.

-debug_partial
    przyrostowe fazy wyświetlania z MessageSecs opóźnieniem

-display=DISPLAY
    ustawia zmienną wyświetlacza dla wywoływanych programów X-owych.

-dont_wrap_pre
    zakazuje zawijania tekstu w <pre> podczas zrzucania (-dump) i łażenia (-crawl), zaznacza zawinięte linie w sesji interaktywnej.

-dump
    zrzuca na standardowe wyjście sformatowane wyjście domyślnego dokumentu lub dokumentu podanego w wierszu poleceń. Może to być używane w następujący sposób: lynx -dump http://www.nyu.edu/pages/wsn/subir/lynx.html.

-editor=EDYTOR
    włącza zewnętrzną edycję, za pomocą podanego EDYTORA. (vi, ed, emacs, itp.)

-emacskeys
    włącza klawisze przemieszczania w stylu emacsowym.

-enable_scrollback
    przełącza zgodność z klawiszami scrollback programów komunikacyjnych. (może być niezgodne z niektórymi wersjami curses).

-error_file=PLIK
    definiuje plik, w którym lynx będzie zgłaszał kody dostępu HTTP.

-fileversions
    włącza wszystkie wersje plików w lokalnych listingach katalogów VMS.

-force_empty_hrefless_a
    wymusza opróżnianie elementów 'A' nie zawierających znacznika HREF (domyka je zaraz po napotkaniu).

-force_html
    wymusza interpretację pierwszego dokumentu jako HTML.

-force_secure
    przełącza wymuszanie flagi bezpieczeństwa dla ciasteczek SSL.

-forms_options
    przełącza styl opcji (menu lub formularze).

-from
    przełącza przekazywanie nagłówków From.

-ftp
    wyłącza dostęp do ftp.

-get_data
    wysyła dane formularzy ze stdin przy użyciu metody GET i kopiuje wyniki.

-head
    wysyła żądanie HEAD dla nagłówków mime.

-help
    wypisuje informację o składni komend Lynx.

-hiddenlinks=[opcja]
    steruje wyświetlaniem ukrytych odnośników. merge ukryte odnośniki są pokazywane jako liczby w nawiasach kwadratowych, numerowane wspólnie z innymi odnośnikami w kolejności występowania w dokumencie. listonly ukryte odnośniki są pokazywane tylko na ekranach L)ist i zestawieniach generowanych przez opcję -dump lub z menu P)rint, ale pojawiają się osobno na końcu tych list. Jest to zachowanie domyślne. ignore ukryte odnośniki na pojawiają się nawet na zestawieniach.

-historical
    przełącza stosowanie '>' lub '-->' jako zakończeń komentarzy.

-homepage=URL
    ustawia stronę domową niezależnie od strony startowej.

-image_links
    przełącza zamieszczanie odnośników dla wszystkich obrazków.

-index=URL
    ustala domyślny plik index dla podanego URL.

-ismap
    przełącza zamieszczanie odnośników ISMAP gdy istnieją MAPy klienckie.

-justify
    justuje (wyrównuje) tekst.

-link=ICZBA
    początkowy licznik dla plików lnk#.dat, tworzonych przez -crawl.

-localhost
    wyłącza URL-e, które wskazują na zdalne maszyny.

-locexec
    zezwala na wywoływanie lokalnych programów tylko z plików lokalnych (jeśli Lynx był skompilowany z włączonym lokalnym wywoływaniem).

-mime_header
    wraz ze źródłem pobranego dokumentu wypisuje jego nagłówek MIME.

-minimal
    przełącza analizę komentarzy - minimalne kontra poprawne. W starych przeglądarkach, błędnie za zakończenie komentarza był uznawany jakikolwiek domykający nawias ostrokątny. Poprawne zakończenie wymaga pary kresek przed nawiasem.

-newschunksize=LICZBA
    ilość artykułów w podzielonych na kawałki listingach z grup dyskusyjnych.

-newsmaxchunk=LICZBA
    maksymalna ilość artykułów w listingach grup dyskusyjnych przed podziałem na części.

-nobold
    wyłącza wyświetlanie atrybutu pogrubienia.

-nobrowse
    wyłącza przeglądanie katalogów.

-nocc
    wyłącza prośby o podanie Cc: w celu zyskania kopii listu do własnej wiadomości. Zauważ, że nie wyłącza tych CC, które są zamieszczone w samym URL-u typu mailto czy klauzuli ACTION formularza.

-nocolor
    wymusza wyłączenie koloru, ignorując możliwości terminala, ewentualną flagę -color, zmienną COLORTERM i zachowane ustawienia .lynxrc.

-noexec
    wyłącza wywoływanie lokalnych programów. (DOMYŚLNE)

-nofilereferer
    wyłącza transmisje nagłówków Referer dla URL-i plikowych.

-nolist
    wyłącza tworzenie listy odnośników w zrzutach.

-nolog
    wyłącza wysyłanie pocztą elektroniczną komunikatów o błędach do właścicieli dokumentów.

-nonrestarting_sigwinch
    Ta flaga nie jest dostępna na wszystkich systemach, Lynx powinien był skompilowany ze zdefiniowanym symbolem HAVE_SIGACTION. Jeśli jest dostępna, to ta flaga może powodować, że program będzie znacznie szybciej reagował na zmiany okna w przypadku uruchomienia w oknie xterm.

-nopause
    wyłącza wymuszone przerwy na komunikaty w linii stanu.

-noprint
    wyłącza większość funkcji wypisywania [drukowania].

-noredir
    zapobiega automatycznym przekierowaniom i wypisuje komunikat z odnośnikiem do nowego URL-a.

-noreferer
    wyłącza przekazywanie nagłówków Referer.

-nosocks
    wyłącza używanie proxy SOCKS przez uSOCKSowanego Lynxa.

-nostatus
    wyłącza komunikaty o stanie pobierania.

-nounderline
    wyłącza wyświetlanie atrybutu podkreślenia.

-number_fields
    wymusza numerowanie zarówno odnośników, jak i pól wejściowych formularzy.

-number_links
    wymusza numerowanie odnośników.

-partial
    przełącza wyświetlanie częściowe stron podczas pobierania.

partial_thres=LICZBA
    liczba wierszy pokazywana przed ponownym utworzeniem obrazu podczas wyświetlania częściowego

-pauth=ID:HASŁO
    ustalenie na starcie identyfikatora oraz hasła autoryzacji dla chronionych serwerów proxy. Należy upewnić się, że chronione są wszelkie pliki skryptów wykorzystujących ten przełącznik.

-popup
    przełącza sposób obsługi opcji pojedynczego wyboru w SELECT: za pośrednictwem okna wyskakującego albo listy przycisków radiowych.

-post_data
    wysyła dane formularzy ze stdin przy użyciu metody POST i kopiuje wyniki.

-preparsed
    pokazuje wstępnie przetworzone i sformatowane źródło HTML, gdy użyto z -source lub w podglądzie źródła.

-prettysrc
    pokazuje podgląd źródła HTML z kolorowymi elementami leksykalnymi i znacznikami.

-print
    włącza funkcje wypisujące [drukujące]. (domyślne)

-pseudo_inlines
    włącza pokazywanie zastępczych pseudoznaczników ALT dla elementów inline bez tekstu ALT.

-raw
    włącza domyślne ustawienie 8-bitowych translacji znaków, lub tryb CJK dla startowego zestawu znaków.

-realm
    ogranicza dostęp tylko do URL-i w sferze startowej.

-reload
    wymiata bufor na serwerze proxy (dotyczy tylko pierwszego dokumentu).

-restrictions=[opcja][,opcja][,opcja]...
    umożliwia selektywne wyłączenie listy usług. Jeśli nie poda się opcji, wypisywana jest następująca lista. ? - podane samo, wypisuje listę aktywnych ograniczeń all - zastrzega wszystkie wymienione niżej opcje. bookmark - zabrania zmieniania położenia pliku zakładek. bookmark_exec - zabrania uruchamiania programów poprzez odnośniki z pliku zakładek. change_exec_perms - zabrania zmieniania prawa eXecute plików (lecz wciąż zezwala dla katalogi) kiedy włączone jest lokalne zarządzanie plikami. default - to samo, co opcja wiersza poleceń -anonymous. Wyłącza domyślne usługi dla użytkownika anonimowego. Zabrania wszystkich usług, oprócz: inside_telnet, outside_telnet, inside_ftp, outside_ftp, inside_rlogin, outside_rlogin, inside_news, outside_news, telnet_port, jump, mail, print, exec oraz goto. Konfiguracja dla tych usług oraz stosowane dodatkowe ograniczenia goto dla konkretnych schematów URL-i pochodzą z definicji zawartych w userdefs.h. dired_support - zabrania lokalnego zarządzania plikami. disk_save - zabrania zachowywania plików na dysk w menu download i print. dotfiles - zabrania dostępu do plików ukrytych (kropkowych), również ich tworzenia. download - zabrania użycia niektórych programów do pobierania plików w menu download. Nie pociąga to za sobą ograniczenia disk_save, nie wyłącza też polecenia DOWNLOAD). editor - zabrania zewnętrznej edycji. exec - wyłącza skrypty uruchamiania. exec_frozen - zabrania użytkownikowi zmieniania opcji lokalnego wykonywania. externals - zabrania niektórych wierszy konfiguracyjnych "EXTERNAL" jeśli wkompilowana jest obsługa przesyłania URL-i do programów zewnętrznych (poleceniem EXTERN). file_url - zabrania używania G)oto, obsłużonych odnośników i zakładek w stosunku do URL-i typu file: goto - wyłącza polecenie 'g' (goto). inside_ftp - zabrania dostępu FTP dla osób pochodzących z wewnątrz naszej własnej domeny (dla selektywności wymagane jest utmp). inside_news - j.w., lecz dla wysyłania artykułów do grup dyskusyjnych USENET. inside_rlogin - j.w., lecz dla rlogin. inside_telnet - j.w., lecz dla telnet. jump - wyłącza polecenie 'j' (jump). multibook - zabrania używania wielu plików z zakładkami. mail - zabrania używania poczty elektronicznej. news_post - zabrania wysyłąnia do grup dyskusyjnych. options_save - zabrania zachowywania opcji w .lynxrc. outside_ftp - zabrania operacji FTP dla osób pochodzących spoza naszej własnej domeny (utmp jest wymagane dla selektywności). outside_news - zabrania czytania i wysyłania artykułów USENET dla osób pochodzących spoza naszej własnej domeny (utmp jest wymagane dla selektywności). To ograniczenie odnosi się do URL-i "news", "nntp", "newspost" i "newsreply", ale nie do "snews", "snewspost" czy "snewsreply", jeśli tylko są obsługiwane. outside_rlogin - j.w., lecz dla rlogin. outside_telnet - j.w., lecz dla telnet. print - wyłącza większość opcji drukujących. shell - zabrania przechodzenia do powłoki i G)oto typu lynxexec lub lynxprog. suspend - zabrania zawieszenia pracy programu przez Control-Z i przechodzenia do powłoki. telnet_port - zabrania podawania portu w G)oto dla telnetu. useragent - zabrania modyfikowania nagłówka User-Agent.

-resubmit_posts
    włącza wymuszane ponowne dostarczanie (bez bufora) formularzy z metodą POST, kiedy dokumenty, które one zwracają są można uzyskać poleceniem PREV_DOC lub z History List.

-rlogin
    wyłącza rozpoznawanie poleceń rlogin.

-selective
    wymaga plików .www_browsable do przeglądania katalogów.

-short_url
    powoduje, że bardzo długie URL-e pokazywane są w wierszu stanu z "___" oznaczającym część, której nie da się wyświetlić. Wyświetlany jest początek i koniec URL-a, zamiast obcinania samej końcówki.

-show_cursor
    Jeśli włączone, kursor nie będzie ukrywany w prawym narożniku, lecz będzie umieszczany na początku aktualnie zaznaczonego odnośnika. Jest to domyślna opcja dla systemów bez możliwości FANCY_CURSES, a domyślna konfiguracja może być zmieniana w userdefs.h lub lynx.cfg. Przełącznik wiersza poleceń zmienia zachowanie domyślne.

-soft_dquotes
    przełącza emulację starego błędu w Netscape i Mosaic, które traktowały '>' jako wspólny znak zamknięcia cudzysłowów (zawierających wartość atrybutu) i znacznika.

-source
    działa tak jak dump, lecz produkuje źródło HTML zamiast przeformatowanego tekstu.

-stack_dump
    wyłącza procedurę obsługi porządkowania po otrzymaniu SIGINT

-startfile_ok
    zezwala na plik startowy niezgodny z http i stronę domową z -validate.

-tagsoup
    inicjuje analizator składni, stosując "Tag Soup DTD" zamiast "SortaSGML". Metody te różnią się rozpoznawaniem i usuwaniem błędów. "Tag Soup DTD" dopuszcza niepoprawnie zagnieżdżone znaczniki, "SortaSGML" jest surowsza.

-telnet
    wyłącza rozpoznawanie poleceń telnetu.

-term=TERM
    mówi Lynxowi, jakiego rodzaju terminala ma on używać. (Może być przydatne przy zdalnym wykonywaniu, np. gdy Lynx łączy się ze zdalnym portem TCP/IP, który uruchamia skrypt, który z kolei rozpoczyna inny proces Lynxa.)

-tlog
    przełącza wyjście śledzenia sesji między dziennikiem Lynxa (Lynx Trace Log) a standardowym wyjściem (stderr).

-tna
    włącza tryb "Textfields Need Activation" ("Pola tekstowe wymagają aktywacji").

-trace
    włącza tryb śledzenia. Miejsce, do którego trafiają wyniki zależy od -tlog.

-traversal
    podąża za wszystkimi odnośnikami http wywodzącymi się z pliku startowym. Gdy zostanie użyte z -crawl, każdy odnośnik, który zaczyna się tym samym napisem co plik startowy, jest wypisywany do pliku przeznaczonego do indeksowania. Zobacz CRAWL.announce dla dalszych informacji.

-underscore
    włącza używanie formatu _podkreślonego_ w zrzutach.

-use_mouse
    włącza obsługę myszy, jeśli jest dostępna. Kliknięcie lewym przyciskiem myszy odnośnika powoduje pójście za nim. Kliknięcie prawym przyciskiem powoduje zawrócenie. Kliknięcie górnego wiersza powoduje przewinięcie w górę. Kliknięcie dolnego wiersza powoduje przewinięcie w dół. Pierwszych kilka pozycji w górnym i dolnym wierszu może wywoływać dodatkowe funkcje. Lynx musi być skompilowany z ncurses lub slang, by udostępniał tę cechę. Jeśli wykorzystywana jest ncurses, środkowy przycisk myszy wywołuje proste menu. Przyciski myszy mogą działać bezproblemowo tylko wtedy, gdy Lynx pozostaje w stanie oczekiwania na wprowadzanie.

-useragent=Nazwa
    ustala dla programu alternatywną nazwę nagłówka User-Agent.

-validate
    przyjmuje tylko URL-e http (do sprawdzania uprawnień). Zaimplementowane są także pełne ograniczenia zabezpieczające.

-verbose
    przełącza komentarze [LINK], [IMAGE] i [INLINE] na nazwy plików tych obrazków.

-version
    wypisuje informację o wersji.

-vikeys
    włącza klawisze przemieszczania w stylu vi.

-wdebug
    włącza diagnostykę pakietów Waterloo tcp/ip (wypisuje do pliku diagnostycznego watt). Dotyczy to tylko wersji do DOS skompilowanych z WATTCP lub WATT-32.

-width=LICZBA
    liczba kolumn znaków przy formatowaniu zrzutów, domyślnie 80.

-with_backspaces
    umieszczanie znaków backspace w tworzonym wyjściu podczas zrzucania (-dump) i łażenia (-crawl), tak jak to czyni 'man'.

KOMENDY
o Strzałki w górę i strzałki w dół służą do przewijania pomiędzy odnośnikami hipertekstowymi.
o Strzałka w prawo lub Return podąży za podświetlonym odnośnikiem hipertekstowym.
o Strzałka w lewo wycofa się z odnośnika.
o Wciśnij "h" lub "?" aby uzyskać wbudowaną pomoc i opisy komend klawiszowych.
o Wciśnij "k", by otrzymać pełną listę bieżących odwzorowań komend klawiszowych.

ŚRODOWISKO
Oprócz rozmaitych "standardowych" zmiennych środowiskowych, jak HOME, PATH, USER, DISPLAY, TMPDIR itd., Lynx wykorzystuje kilka własnych, swoistych zmiennych, jeśli istnieją.

Inne z kolei mogą być tworzone lub zmieniane przez Lynx w celu przekazania danych zewnętrznemu programowi czy do jakichś innych celów. Poniżej są one osobno wyszczególnione.

Zobacz też sekcje SYMULACJA OBSŁUGI CGI i OBSŁUGA JĘZYKÓW NARODOWYCH, poniżej.

Uwaga: Nie wszystkie zmienne środowiskowe mają zastosowanie na wszystkich rodzajach platform, na których działa Lynx, choć większość ma. Autorzy proszą o informacje o zależnościach od platform.

Zmienne środowiskowe wykorzystywane przez Lynx:

COLORTERM
    Jeśli ustawiona, to podczas uruchamiania wymuszane jest włączenie możliwości wyświelania kolorów terminala. Faktyczna wartość przypisana tej zmiennej jest ignorowana. Zmienna COLORTERM ma znaczenie tylko wtedy, gdy Lynx zbudowano z wykorzystaniem biblioteki obsługi ekranu slang.

LYNX_CFG
    Ta zmienna, jeśli jest ustawiona, przesłania domyślne położenie i nazwę globalnego pliku konfiguracyjnego (normalnie, lynx.cfg), które zostały zdefiniowane stałą LYNX_CFG_FILE w pliku userdefs.h, podczas instalacji. W pliku userdefs.h można znaleźć więcej informacji na ten temat.

LYNX_LSS
    Ta zmienna, jeśli jest ustawiona, podaje położenie domyślnego pliku wzorca znaków strony (character style sheet file) Lynx. [Obecnie ma znaczenie tylko jeśli Lynx został zbudowany z eksperymentalną obsługą styli kolorów.]

LYNX_SAVE_SPACE
    Ta zmienna, jeśli jest ustawiona, przesłania domyślny przedrostek ścieżki dla plików zachowywanych na dysk. Przedrostek ten jest zdefiniowany w lynx.cfg, w instrukcji SAVE_SPACE:. W pliku lynx.cfg można znaleźć więcej informacji na ten temat.

LYNX_TEMP_SPACE
    Ta zmienna, jeśli jest ustawiona, przesłania domyślny przedrostek ścieżki dla plików tymczasowych, zdefiniowany podczas instalacji, jak również ewentualną wartość przypisaną zmiennej TMPDIR variable.

MAIL
    Ta zmienna określa domyślną skrzynkę odbiorczą, w której Lynx będzie szukać nowych listów, jeśli takie sprawdzanie włączono w pliku lynx.cfg.

NEWS_ORGANIZATION
    Ta zmienna, jeśli jest ustawiona, podaje napis używany w nagłówku Organization: artykułów wysyłanych do grup USENET-u. Przesłania ustawienie zmiennej środowiskowej ORGANIZATION, jeśli jest ona także ustawiona (i, na UNIX-ie, zawartość pliku /etc/organization, jeśli takowy istnieje).

NNTPSERVER
    Jeśli jest ustawiona, określa domyślny serwer NNTP, który będzie wykorzystywany do czytania i wysyłania za pomocą Lynx artykułów na grupy dyskusyjne USENET-u, za pośrednictwem URL-i news:.

ORGANIZATION
    Ta zmienna, jeśli jest ustawiona, podaje napis używany w nagłówku Organization: artykułów wysyłanych do grup USENET-u. Na UNIX-ie przesłania zawartość pliku /etc/organization, jeśli takowy istnieje.

PROTOKÓŁ_proxy
    Lynx udostępnia użycie serwerów proxy, które mogą funkcjonować jako bramki zapór ogniowych i serwerów buforujących. Są one preferowane w stosunku do starszych serwerów-bramek (zobacz WWW_access_GATEWAY, poniżej). Każdy z protokoło używanych przez Lynx (http, ftp, gopher itd.) można odwzorować odrębnie, nadając zmiennym środowiskowym postaci PROTOKÓŁ_proxy (mianowicie: http_proxy, ftp_proxy, gopher_proxy itd.), wartości "http://jakiś.serwer.domena:port/". W Lynx Users Guide znajdują się dalsze szczegóły i przykłady.

WWW_dostęp_GATEWAY
    Lynx nadal obsługuje korzystanie z serwerów-bramek, przez serwery podane za pomocą zmiennych "WWW_dostęp_GATEWAY" (gdzie "dostęp" jest napisaną małymi literami nazwą "http", "ftp", "gopher" lub "wais"), jednak większość serwerów-bramek została już wyłączona. Zauważ, że dla bramek nie podaje się końcówki '/', jak się to robi dla serwerów proxy określanych zmiennymi środowiskowymi PROTOKÓŁ_proxy. Szczegóły można znaleźć w Lynx Users Guide.

WWW_HOME
    Ta zmienna, jeśli jest ustawiona, przesłania domyślny startowy URL podany w którymkolwiek z plików konfiguracyjnych programu.

Zmienne środowiskowe tworzone lub zmieniane przez Lynx:

LYNX_PRINT_DATE
    Tej zmiennej funkcja p(rint) Lynx-a nadaje wartość łańcucha Date: pokazanego na stronie "Information about" (polecenie =) aktualnego dokumentu, jeśli jest takowa. Jest tworzona do wykorzystania przez program zewnętrzny, określony w instrukcji definiującej PRINTER: pliku lynx.cfg. Jeśli dla danego dokumentu pole takie nie istnieje, to zmiennej przypisywany jest łańcuch pusty w UNIX-ie lub "No Date" w VMS.

LYNX_PRINT_LASTMOD
    Tej zmiennej funkcja p(rint) Lynx-a nadaje wartość łańcucha Last Mod: pokazanego na stronie "Information about" (polecenie =) aktualnego dokumentu, jeśli jest takowa. Jest tworzona do wykorzystania przez program zewnętrzny, określony w instrukcji definiującej PRINTER: pliku lynx.cfg. Jeśli dla danego dokumentu pole takie nie istnieje, to zmiennej przypisywany jest łańcuch pusty w UNIX-ie lub "No LastMod" w VMS.

LYNX_PRINT_TITLE
    Tej zmiennej funkcja p(rint) Lynx-a nadaje wartość łańcucha Linkname: pokazanego na stronie "Information about" (polecenie =) aktualnego dokumentu, jeśli jest takowa. Jest tworzona do wykorzystania przez program zewnętrzny, określony w instrukcji definiującej PRINTER: pliku lynx.cfg. Jeśli dla danego dokumentu pole takie nie istnieje, to zmiennej przypisywany jest łańcuch pusty w UNIX-ie lub "No Title" w VMS.

LYNX_PRINT_URL
    Tej zmiennej funkcja p(rint) Lynx-a nadaje wartość łańcucha URL: pokazanego na stronie "Information about" (polecenie =) aktualnego dokumentu, jeśli jest takowa. Jest tworzona do wykorzystania przez program zewnętrzny, określony w instrukcji definiującej PRINTER: pliku lynx.cfg. Jeśli dla danego dokumentu pole takie nie istnieje, to zmiennej przypisywany jest łańcuch pusty w UNIX-ie lub "No URL" w VMS.

LYNX_VERSION
    Tej zmiennej Lynx zawsze nadaje wartość. Może być wykorzystywana przez zewnętrzny program do stwierdzenia, czy został wywołany przez Lynx. W komentarzach w przykładowym mailcap z pakietu dystrybucyjnego znajdują się uwagi dotyczące sposobu użycia tej zmiennej w takim pliku.

TERM
    Normalnie zmienna ta jest używana przez Lynx do wyznaczenia typu terminala, jakiego użyto do wywołania programu. Jeśli jednak nie jest ustawiona przy uruchomieniu (lub ma wartość "unknown") lub jeśli użyto opcji-term wiersza poleceń, to Lynx nada lub zmieni jej wartość na podany przez użytkownika typ terminala (dla środowiska wykonywania Lynx). Uwaga: jeśli Lynx nada/zmieni tę zmienną, wartości zmiennych środowiskowych LINES i COLUMNS mogą równiez ulec zmianie.

SYMULACJA OBSŁUGI CGI
Jeśli zbudowano go z włączoną opcją cgi-links, to Lynx pozwala na dostęp do skryptów cgi bez potrzeby korzystania z demona http.

Podczas wykonywania takich "skryptów lynxcgi" (jeśli są dostępne), do symulowania środowiska CGI można ustawić następujące zmienne:

CONTENT_LENGTH

CONTENT_TYPE

DOCUMENT_ROOT

HTTP_ACCEPT_CHARSET

HTTP_ACCEPT_LANGUAGE

HTTP_USER_AGENT

PATH_INFO

PATH_TRANSLATED

QUERY_STRING

REMOTE_ADDR

REMOTE_HOST

REQUEST_METHOD

SERVER_SOFTWARE

Inne zmienne środowiska nie są dziedziczone przez skrypt, chyba że dostarczono je za pośrednictwem instrukcji LYNXCGI_ENVIRONMENT w pliku konfiguracyjnym. Definicje i sposób użycia tych zmiennych zawiera plik lynx.cfg oraz (szkic) Specyfikacja CGI 1.1 <http://Web.Golux.Com/coar/cgi/draft-coar-cgi-v11-00.txt>.

Po ogólne informacje o programowaniu skryptów CGI należy sięgnąć do Specyfikacji CGI i innej powiązanej dokumentacji.

OBSŁUGA JĘZYKÓW NARODOWYCH (NATIVE LANGUAGE SUPPORT - NLS)
Jeśli został skonfigurowany i zainstalowany z obsługą języków narodowych (Native Language Support), Lynx będzie wyświetlał komunikaty o stanie i inne w naszym ojczystym języku. Więcej informacji o internacjonalizacji można znaleźć w pliku ABOUT_NLS z dystrybucji źródłowej lub na miejscowej witrynie GNU.

Do zmiany domyślnych ustawień służą poniższe zmienne środowiska:

LANG
    Ta zmienna, jeśli jest ustawiona, przesłania domyślny język komunikatów. Jest to dwuliterowy kod ISO 639 identyfikujący język. Kody języków NIE są takie same, jak kody krajów podane w ISO 3166.

LANGUAGE
    Ta zmienna, jeśli jest ustawiona, przesłania domyślny język komunikatów. Jest to rozszerzenie GNU, mające wyższy priorytet przy ustalaniu katalogu komunikatów niż LANG czy LC_ALL.

LC_ALL
    i

LC_MESSAGES
    Te zmienne, jeśli są ustawione, określają sposób formatowania języka narodowego. Są zgodne z POSIX.

LINGUAS
    Ta zmienna, jeśli jest ustawiona przed konfiguracją, ogranicza instalowane języki do podanych przez jej wartość. Jest listą rozdzielonych odstępami dwuliterowych kodów. Obecnie jest niezmienna, stosowna do życzeń.

NLSPATH
    Ta zmienna, jeśli jest ustawiona, służy jako przedrostek ścieżki katalogów, w których znajdują się komunikaty.

UWAGI
To jest wersja Lynx v2.8.2

Jeśli chcesz przyczynić się do przyszłego rozwoju Lynxa, zapisz się na naszą listę dyskusyjną. Wyślij email do <majordomo@sig.net> z "subscribe lynx-dev" jako jedyną linijką ciała listu.

Informacje o błędach, komentarze, sugestie wysyłaj do <lynx-dev@sig.net> (po zapisaniu się).

Wypisać się z listy można wysyłając email na <majordomo@sig.net> z "unsubscribe lynx-dev" jako jedyną linijką ciała listu. Proszę nie wysyłać wiadomości unsubscribe na listę lynx-dev.

ZOBACZ TAKŻE
catgets(3), curses(3), environ(7), execve(2), ftp(1), gettext(GNU), localeconv(3), ncurses(3), setlocale(3), slang(?), termcap(5), terminfo(5), wget(GNU)

Zwróć uwagę, że dostępność stron podręcznika systemowego man i numeracja ich sekcji zależą do pewnego stopnia od używanej platformy i mogą odbiegać od powyższych odsyłaczy.

Sekcja wskazana jako (GNU) ma oznaczać, że dany temat może być dostępny w postaci strony info, zamiast strony man (tj. należy spróbować "info temat", zamiast "man temat").

Sekcja opisana (?) oznacza, że dokumentacja tego tematu istnieje, ale nie jest częścią ustalonego systemu wyszukiwania dokumentacji (więcej informacji można znaleźć w plikach dystrybucji powiązanych z tym tematem lub za pośrednictwem miejscowego Administratora Systemu).

PODZIĘKOWANIA
Lynx zawiera kod z wielu różnych źródeł. Najwcześniejsze wersje lynxa zawierały kod od Earla Fogela z Computing Services z University of Saskatchewan, który zaimplementował HYPERREZ w środowisku Unix. HYPERREZ był stworzony przez Niela Larsona z Think.com i służył jako model dla pierwszych wersji Lynxa. Te wersje zawierały także biblioteki z klientów Gopher (Unix-owych), stworzonych na University of Minnesota, a późniejsze wersje lynxa bazują na kodzie biblioteki klienta WWW, stworzonej przez Tima Berners-Lee i wspólnotę WWW. Dodatkowo, szczególne podziękowania dla Foteos Macrides, który przeniósł większość z Lynxa na VMS i zrobił lub zorganizował większość z jego nowych elementów od czasu odejścia Lou Montulli i Garretta Blythe z University of Kansas w lecie 1994 do wersji v2.7.2, a także każdemu w sieci, kto włożył swoją pracę w rozwój lynxa, zarówno bezpośrednio (przez patche, komentarze, zgłaszanie błędów), lub pośrednio (przez natchnienie i rozwój innych systemów).

AUTORZY
Lou Montulli, Garrett Blythe, Craig Lavender, Michael Grobe, Charles Rezac
Academic Computing Services
University of Kansas
Lawrence, Kansas 66047

Foteos Macrides
Worcester Foundation for Biomedical Research
Shrewsbury, Massachusetts 01545

INFORMACJE O TŁUMACZENIU
Powyższe tłumaczenie pochodzi z nieistniejącego już Projektu Tłumaczenia Manuali i może nie być aktualne. W razie zauważenia różnic między powyższym opisem a rzeczywistym zachowaniem opisywanego programu lub funkcji, prosimy o zapoznanie się z oryginalną (angielską) wersją strony podręcznika za pomocą polecenia:

    man --locale=C 1 lynx

Prosimy o pomoc w aktualizacji stron man - więcej informacji można znaleźć pod adresem http://sourceforge.net/projects/manpages-pl/.